/*****************************************************************************

                        Class Player
        A class that models a player in a golf tournament.

15-111
Name:
Section:
Date:
andrew e-mail:

*******************************************************************************/


public class Player implements Comparable
{
   private String firstName;
   private String lastName;
   private int round1, round2, total;

   /**
   *  constructor builds the player with the supplied parameters
   *
   *  @param String fn first name of the player
   *  @param String ln last name of the player
   *  @param int rn1 score of first round
   *  @param int rn2 score of second round
   */

   public Player(String fn, String ln, int r1, int r2)
   {
      firstName = fn;
      lastName = ln;
      round1 = r1;
      round2 = r2;
      total = r1 + r2;
   }

   /**
   *  constructor builds the player with default values
   */
   public Player()
   {
      firstName = "";
      lastName = "";
      round1 = 0;
      round2 = 0;
      total = 0;
   }


   /**
   *  constructor builds the player with specified total score
   */
   public Player(int totalScore)
   {
      firstName = null;
      lastName = null;
      round1 = 0;
      round2 = 0;
      total = totalScore;
   }


   /**
   *  returns first name of the player
   *
   *  @return String first name of player
   */
    public String  getFName()
    {
         return  firstName;
     }

   /**
   *  returns last name of the player
   *
   *  @return String last name of player
   */
    public String  getLName()
    {
         return  lastName;
     }

   /**
   *  returns first round score
   *
   *  @return int first round score
   */
    public int  getRound1()
    {
      return  round1;
     }

   /**
   *  returns second round score
   *
   *  @return int second round score
   */
    public int  getRound2()
    {
      return  round2;
     }

   /**
   *  returns total score
   *
   *  @return int total score
   */
    public int  getTotal()
    {
      return  total;
     }

   /**
   *  returns player information
   *
   *  @return String last name, first name, round 1 score, round 2 score, total score
   */
    public String toString()
    {
      String str = getLName() + ", " + getFName() + " " +
                getRound1() + " " +  getRound2() + " " +
                getTotal();

      return str;
    }

   /**
   *  returns a result of comparison
   *
   *  @return 1, 0 or -1
   */

   public int compareTo(Object player)
   {
      if(total < ((Player)player).total)
         return -1;
      else
      if(total > ((Player)player).total)
         return 1;
      else
         return 0;
   }

}
